#!/usr/bin/perl
#
# Copyright (c) 2000-2001 SuSE GmbH Nuernberg, Germany.  All rights reserved.
# Copyright (c) 2002 SuSE Linux AG Nuernberg, Germany.  All rights reserved.
#
#
# $Id: dhcp_options.pl,v 1.3 2003/11/06 11:08:21 varkoly Exp $
#

$| = 1; # do not buffer stdout
 
use strict;
use CGI qw(-no_xhtml);
use CGI::Carp qw(fatalsToBrowser);
use subs qw(exit);
use vars qw($cgi $title_l @dhcp_options_a %dhcp_options_h);
# Select the correct exit function
*exit = $ENV{MOD_PERL} ? \&Apache::exit : sub { CORE::exit };

$title_l="";
@dhcp_options_a=();
%dhcp_options_h=();

$cgi=new CGI;
 

my $sessionID = $cgi->param('sessionID');    

my $session = Session->new();
my $confParam = ($session->load($sessionID))->data();
my $message;

if(! defined $confParam) {
    print $cgi->header(-refresh=>"0; URL=".$session->cgi_path."/login.pl");
    print $cgi->start_html(-title=>"");
    print $cgi->end_html;
    exit;
} else {
    $message = ($session->getLanguage($confParam->{LANG},"MAIN"))->data();
}
 
my $JavaScript=<<EOF;
function setFocus() {
    document.FORM.AREA.blur();
}
EOF

my $title_s="DHCP Options";
my $select="";
my $close="";

&get_content();

#print STDERR $imas::confParam{LANG}."\n";

print $cgi->header(-charset=>'utf-8');
print $cgi->start_html (-title  => $title_s,
                        -style  =>{'src'=>'/stylesheetAdmin.css'},
                        -script => $JavaScript,
                        -onLoad => "this.focus()"
			);


print $cgi->start_center;

print "<br>".$cgi->table({-class=>'AdminBorder', -cellpadding=>"2",-cellspacing=>"0", -width=>"360"},
		  $cgi->Tr({},
			   $cgi->td({-class=>'AdminHeader'},
					       $cgi->b("$title_l ($title_s)")
				    )
			   ),
		  $cgi->Tr({},
			   $cgi->td({-align=>"center"},
				    $cgi->start_form(-name=>"FORM"),
				    $cgi->scrolling_list(-name    => "dhcp_options",
							 -size    => "25",
							 -values  => \@dhcp_options_a,
								 -labels  => \%dhcp_options_h
							 )
				    )
			   ),
		  $cgi->Tr({},
			   $cgi->td({-align=>"center"},
				    $cgi->button(-value=>"$message->{choose_option}",
						 -onClick=>"var i=document.FORM.dhcp_options.selectedIndex;".
							   "opener.document.form.ADDITIONALVALUE.value=document.FORM.dhcp_options.options[i].value"
						 ),
				    $cgi->button(-value=>"$message->{close}",
						 -onclick=>"window.close()"
						 ),
				    $cgi->end_form
				    )
			  )
		  );

print $cgi->end_center;

print $cgi->end_html;
1;

###############################################################################
##  subroutines
###############################################################################

sub get_content {
    my $flag=0;
    my $line="";

    my $sessionID = $cgi->param('sessionID');    
    
    my $session = Session->new();
    my $confParam = ($session->load($sessionID))->data();
    my $lang=$confParam->{LANG};

    open (FILE,"<".$confParam->{lib_path}."/dhcp_options.lib") or die "no libary file";
    while (<FILE>) {
	/([-\w]+)\s+(\w+)/;
        push @dhcp_options_a, $1;
	$dhcp_options_h{$1} = "$2 : $1";
    }
    close FILE;
    return 0;
}
