#!/usr/bin/perl
#
# Copyright (c) 2000-2001 SuSE GmbH Nuernberg, Germany.  All rights reserved.
# Copyright (c) 2002 SuSE Linux AG Nuernberg, Germany.  All rights reserved.
#
#
# $Id: edit_resource.pl,v 1.1.1.1 2003/03/25 10:31:47 ray Exp $
#

$| = 1; # do not buffer stdout

use strict;
use func::edit_resource;

use Session;
use CGI qw(-no_xhtml);
use CGI::Carp qw(fatalsToBrowser);
use subs qw(exit);
# Select the correct exit function
*exit = $ENV{MOD_PERL} ? \&Apache::exit : sub { CORE::exit };

my $cgi = new CGI;

my $sessionID = $cgi->param('sessionID');    


my $session = Session->new();
my $confParam = ($session->load($sessionID))->data();
my $message;

if(! defined $confParam) {
    print $cgi->header(-refresh=>"0; URL=".$session->cgi_path."/login.pl");
    print $cgi->start_html(-title=>"");
    print $cgi->end_html;
    exit;
} else {
    $message = ($session->getLanguage($confParam->{LANG},"EDIT_RESOURCE"))->data();
}

my $menu = new edit_resource($cgi, $session);


if ($confParam->{uid} ne "cyrus") {
    $menu->display_error($message->{access_denied},
			 $confParam->{cgi_path}."/menu.pl?sessionID=$sessionID");
    exit;
} 

$menu->display();


