#!/usr/bin/perl -w
#
# Copyright (c) 2000 SuSE GmbH Nuernberg, Germany.  All rights reserved.
#
#
# $Id: logout.pl,v 1.1.1.1 2003/03/25 10:31:47 ray Exp $
#
$| = 1; # do not buffer stdout

use strict;
use Session;
use Display;
use Net::Domain;
use CGI qw(-no_xhtml);
use CGI::Carp qw(fatalsToBrowser);
use subs qw(exit);

# Select the correct exit function
*exit = $ENV{MOD_PERL} ? \&Apache::exit : sub { CORE::exit };

my $cgi       = new CGI;
my $sessionID = $cgi->param("sessionID");

my $session   = Session->new();
my $confParam = ($session->load($sessionID))->data();


$session->SkyLogout() if $confParam->{uid} ne "cyrus";
$session->clear();
my $url=Net::Domain::hostfqdn();
print $cgi->header(-refresh=>"0; URL=http://$url/");
print $cgi->start_html(-title=>"");
print $cgi->end_html;
exit;


