#!/usr/bin/perl
#
# Copyright (c) 2000-2001 SuSE GmbH Nuernberg, Germany.  All rights reserved.
# Copyright (c) 2002 SuSE Linux AG Nuernberg, Germany.  All rights reserved.
#
#
# $Id: remove_mail.pl,v 1.2 2003/10/29 10:35:38 varkoly Exp $
#

$| = 1; # do not buffer stdout

use strict;
use CGI qw(-no_xhtml);
use CGI::Carp qw(fatalsToBrowser);
use Display;
use subs qw(exit);
# Select the correct exit function
*exit = $ENV{MOD_PERL} ? \&Apache::exit : sub { CORE::exit };

my $cgi = new CGI;
 


my $sessionID = $cgi->param('sessionID');    


my $session = Session->new();
my $confParam = ($session->load($sessionID))->data();
my $message;

if(! defined $confParam) {
    print $cgi->header(-refresh=>"0; URL=".$session->cgi_path."/login.pl");
    print $cgi->start_html(-title=>"");
    print $cgi->end_html;
    exit;
} else {
    $message = ($session->getLanguage($confParam->{LANG},"POSTFIX"))->data();
}

my $menu = new Display($cgi, $session);

if ($confParam->{uid} ne "cyrus") {
    $menu->display_error($message->{access_denied},
			 $confParam->{cgi_path}."/menu.pl?sessionID=$sessionID");
    exit;
} 

my $qid   = $cgi->param('qid');
my $refr  = $cgi->param('refresh');
my $tab   = $cgi->param('tab');
my $stab  = $cgi->param('stab');

if ($qid =~ /^([-\@\w.\*]+)$/) {
    $qid = $1;                     # $data now untainted
} else {
    $menu->display_error("Bad data in $qid",
			 $confParam->{cgi_path}."/menu.pl?sessionID=$sessionID");
    exit;
}

my $ret = $session->rm_mail("$qid");

if( $ret->code() eq "OK" ) {
    $menu->display_msg("$message->{postfix_remove_msg1} $qid $message->{postfix_remove_msg2}",
		       "$confParam->{cgi_path}/mailq.pl?sessionID=$sessionID\&refresh=$refr\&tab=$tab\&stab=$stab",
		       1);
} else {
    $menu->display_error($ret->code(),
		       "$confParam->{cgi_path}/mailq.pl?sessionID=$sessionID\&refresh=$refr\&tab=$tab\&stab=$stab",
		       1);
}


