#!/usr/bin/perl
# 
# Copyright (c) 2002 SuSE Linux AG Nuernberg, Germany.  All rights reserved.
#
#
# $Id: spam_filter.pl,v 1.3 2003/10/29 10:35:38 varkoly Exp $
#

use strict;
use func::spam_filter;

use CGI qw/:standard *table start_ul -no_xhtml/;
use CGI::Carp qw(fatalsToBrowser);
use Net::IMAP;
use Display;
use Session;
use Cyrus::SIEVE::managesieve;
use subs qw(exit);
# Select the correct exit function
*exit = $ENV{MOD_PERL} ? \&Apache::exit : sub { CORE::exit };

my $cgi=new CGI;


my $sessionID = $cgi->param('sessionID');    

my $session = Session->new();
my $confParam = ($session->load($sessionID))->data();

if(! defined $confParam) {
    print $cgi->header(-refresh=>"0; URL=".$session->cgi_path."/login.pl");
    print $cgi->start_html(-title=>"");
    print $cgi->end_html;
    exit;
}


my $menu = new spam_filter($cgi, $session);

$menu->display();

