#!/usr/bin/perl
#
# Copyright (c) 2001 SuSE GmbH Nuernberg, Germany.  All rights reserved.
# Copyright (c) 2002 SuSE Linux AG Nuernberg, Germany.  All rights reserved.
#
#
# $Id: vacation.pl,v 1.1.1.1 2003/03/25 10:31:47 ray Exp $
#
# user frontend for 'vacation'
#


use strict;
use CGI qw(-no_xhtml);
use CGI::Carp qw(fatalsToBrowser);
use Display;
use Session;
use func::vacation;

my $cgi = new CGI;

my $sessionID = $cgi->param("sessionID");
my $session = new Session;
my $confParam = ($session->load($sessionID))->data();

if(! defined $confParam) {
    print $cgi->header(-refresh=>"0; URL=".$session->cgi_path."/login.pl");
    print $cgi->start_html(-title=>"");
    print $cgi->end_html;
    exit;
}

my $message = ($session->getLanguage($confParam->{LANG},"CREATE_USER", "EDIT_USER"))->data();
    
my $menu = new vacation($cgi, $session);

my $user      = $cgi->param('USER');
if( $user eq "" || $user eq "0" ){
    $user = $confParam->{'proxyuid'};
}
my $filter    = $cgi->param('filter');
my $tab       = $cgi->param('tab');
my $stab      = $cgi->param('stab');

if( ($confParam->{uid} eq "cyrus") &&
    (!defined $user || $user eq "" || $user eq "0") ) {
    $menu->display_error(
			 "$message->{select_user}",
			 "$confParam->{cgi_path}/browse_user.pl?sessionID=$sessionID\&filter=$filter\&tab=$tab\&stab=$stab"
			 ,3);
    exit;
}


$menu->display();

