#
# Copyright (c) 2001 SuSE GmbH Nuernberg, Germany.  All rights reserved.
# Copyright (c) 2002 SuSE Linux AG Nuernberg, Germany.  All rights reserved.
#
# $Id: Error.pm,v 1.3 2003/09/10 12:27:33 varkoly Exp $
#
package Error;
use strict;

sub new {
    my $this = shift;
    my $data = shift;
    my $code = shift || "OK";
    
    my $class = ref($this) || $this;
    my $self = {};
    $self->{"data"} = $data;
    $self->{"code"} = $code;

    bless $self, $class;
    return $self;
}

sub code {
    my $this = shift;
    return $this->{"code"};
}

sub data {
    my $this = shift;
    return ( defined $this->{"data"} ? $this->{"data"} : undef );
}
1;
