#
# Copyright (c) 2001 SuSE GmbH Nuernberg, Germany.  All rights reserved.
# Copyright (c) 2002 SuSE Linux AG Nuernberg, Germany.  All rights reserved.
#
# $Id: FetchEntry.pm,v 1.3 2003/09/10 12:27:33 varkoly Exp $
#
package FetchEntry;
use strict;
use POSIX;

sub new {
    my $this = shift;
    my $data = shift;

    my $class = ref($this) || $this;
    my $self = {};

    $data->{"localaddr"} = "MULTIDROP" if $data->{"multidrop"};
    $data->{"ctime"} = strftime("%s",localtime);
    $self->{"data"} = $data;
    
    bless $self, $class;
    return $self;
}

sub get {
    my $this = shift;

    return $this->{"data"};
}

1;
