# 
# Copyright (c) 2001 SuSE GmbH Nuernberg, Germany.  All rights reserved.
# Copyright (c) 2002 SuSE Linux AG Nuernberg, Germany.  All rights reserved.
#
#
# $Id: user_cups.pm,v 1.1 2003/07/22 13:32:31 varkoly Exp $
#

package user_cups;

use strict;
use Storable qw(thaw freeze);
use CGI qw/:standard *table start_ul -no_xhtml/;
use CGI::Carp qw(fatalsToBrowser);
use Display;
use vars qw(@ISA $confParam);
use subs qw(exit);
# Select the correct exit function
*exit = $ENV{MOD_PERL} ? \&Apache::exit : sub { CORE::exit };

@ISA = qw(Display);

sub new{
    my $this = shift;
    my $self = new Display(@_);

    return bless $self, $this;
}

####################################
# display
sub display{
    my $this = shift;

    my $session = $this->{'session'};
    my $confParam = $session->{'confParam'};
    my $q = $this->{'cgi'};
    my $sessionID = $confParam->{'sessionID'};
    my $username= $confParam->{"uid"};

    $this->{'HTMLOUT'} = "" ;
    my $mode = $q->param('mode');
    if (! defined $mode ){
        $mode = 'display';
    }

    if( $mode eq 'display' ){
        $this->display_script();
    }

}
# end display
###################################

###################################
#
sub display_script(){
    my $this = shift;
    my $q = $this->{'cgi'};
    my $session = $this->{'session'};
    my $confParam = $session->{'confParam'};
    my $sessionID = $confParam->{'sessionID'};
    my $message = ($session->getLanguage($confParam->{LANG},"USR_CUPS"))->data();

    my $server = 'http://printserver';
#    my $server = $q->url(-base => 1);
#    if( exists $ENV{'CUPS_SERVER'} ) {
#        $server = $ENV{'CUPS_SERVER'};
#    } elsif ( -r "/etc/cups/client.conf" ) {
#        if( open( CUPSCONF, "< /etc/cups/client.conf" ) ) {
#            my $l;
#            while( $l = <CUPSCONF> ) {
#                next unless( $l =~ /^ServerName\s+(.*)/ );
#                $server = $1;
#                last;
#            }
#            close(CUPSCONF);
#        }
#    }
#
    my $HTMLOUT ="";

    $HTMLOUT .= "\n".$q->start_table({-class=>'AdminBorder', -cellspacing => 2, -width=>"100%", -cellpadding=>0}).
        $q->start_Tr().
            $q->start_td().
                $q->a({href=>$server.":631/printers", -target=>"Print Server" },$message->{'USR_TOPRINTERS'}).
            $q->end_td.
        $q->end_Tr().
        $q->start_Tr().
            $q->start_td().
                $q->a({href=>$server.":631/jobs", -target=>"Print Server" },$message->{'USR_TOJOBS'}).
            $q->end_td.
        $q->end_Tr.
    $q->end_table;
    $this->SUPER::display($HTMLOUT);
    exit;
}

