#! /usr/bin/perl
#
# Copyright (c) 2001 SuSE GmbH Nuernberg, Germany.  All rights reserved.
#
#
# $Id: slemsstart.perl,v 1.1.1.1 2003/03/25 10:31:42 ray Exp $
#
use strict;
#use warnings;
use lib qw(/srv/www/lib);

# make sure we are in a sane environment.
$ENV{GATEWAY_INTERFACE} =~ /^CGI-Perl/ or die "GATEWAY_INTERFACE not Perl!";

use Apache::Registry;       # for things in the "/programs" URL


# pull in things we will use in most requests so it is read and compiled
# exactly once

use CGI (); CGI->compile(':all');
use CGI::Carp ();
use Encode;
use Session;
use Display;
use Utils qw(%CONF_GLOBAL $lmsg);

if( ! -f "/etc/sessiond/certs/SuSEWebcert.pem" ) {
    system("/usr/bin/mksessiondcert.sh SuSEWeb");
    system("/bin/chown wwwrun /etc/sessiond/certs/SuSEWeb*");
    if( ! -f "/etc/sessiond/certs/SuSEWebcert.pem" ) {
	print "ERROR: creating client certificate\n";
	exit;
    }
}

&Utils::read_LangINI || die;
&Utils::read_Config || die;

1;
