#!/usr/bin/perl
#
# Copyright (c) 2000-2001 SuSE GmbH Nuernberg, Germany.  All rights reserved.
# Copyright (c) 2002 SuSE Linux AG Nuernberg, Germany.  All rights reserved.
#
#
# $Id: gen_bf_key.pl,v 1.1.1.1 2003/03/25 10:31:40 ray Exp $
#
use strict;
use Fcntl ':flock';

my $rand;
my $dev_rand;
my $key_path = "/etc/imap";

if ( -r '/dev/urandom' ) {
    open ( RANDOM, "</dev/urandom" );
    read RANDOM, $dev_rand, 16;
    close RANDOM;
} else {
    die "unable to open /dev/urandom: $!";
}
#
# write private Key
#
sysopen(KEY, "$key_path/bf_key",
      Fcntl::O_WRONLY()|Fcntl::O_CREAT(),0400);
print KEY $dev_rand,"\n";
close KEY;

if( system("/bin/chown","root.root","$key_path/bf_key") != 0 ) {
    die "Unable to change mode of private key: $!";
}
