#!/usr/bin/perl
#
# Copyright (c) 2000 SuSE GmbH Nuernberg, Germany.  All rights reserved.
#
#
# $Id: grp2ldap.pl,v 1.1.1.1 2003/03/25 10:31:46 ray Exp $
#

open(IN, "<grp") || die;

print "#!/bin/bash\n\n";

while( <IN> ) {

  chomp;
  ($grp, $pass, $gid, $members) = split /:/;
  $allm = "";
  if( $members ne "" ) {
     @member = split /,/, $members;
     $allm = "-mUID ".join " -mUID ", @member;
  }
print <<EOF;;
#
#
#
echo "migrating group $grp:"
/usr/sbin/add_group_ldap -bDN dc=suse,dc=de -al cyrus -ap cyrus \\
      -cn $grp $allm -gNum $gid
EOF

}

close(IN);
