#!/usr/bin/perl
#
# Copyright (c) 2000 SuSE GmbH Nuernberg, Germany.  All rights reserved.
#
# $Id: pw2ldap.pl,v 1.1.1.1 2003/03/25 10:31:46 ray Exp $
#

open(IN, "<users") || die;

print "#!/bin/bash\n\n";

while( <IN> ) {

  chomp;
  ($uname, $pass, $uid, $gid, $gecos, $home, $shell) = split /:/;

  if( $gecos =~ /serv=/  || $gecos =~ /full=/ ) {
print <<EOF;;
#
#
#
echo "migrating user $uname:"
/usr/sbin/add_user_ldap -bDN dc=suse,dc=de -al cyrus -ap cyrus \\
     -uid $uname -sn $uname -up "{crypt}$pass" -mail $uname\@suse.de \\
     -o "SuSE GmbH" -homedirectory $home -loginshell $shell -gidnumber $gid \\
     -uidnumber $uid -preferredlanguage DE -c DE
/usr/sbin/add_user_cyrus -al cyrus -ap cyrus -uid $uname -qv 1000 \\
     -mb INBOX.sent-mail -mb INBOX.old -mb INBOX.public
EOF
 } else {
	#   print "\n\nWARNING***** $uname not migrated ******\n\n\n"
 }

}

close(IN);
