#! /usr/bin/perl -w
#
# Copyright (c) 2002 SuSE Linux AG Nuernberg, Germany.  All rights reserved.
#
#
# $Id: checklangini.pl,v 1.2 2003/05/06 11:36:55 varkoly Exp $
#

use strict;

open(IN, "$ARGV[0]") || die "unable to open $ARGV[0]: $!";

my $line;
my $linecounter = 0;
while( ($line = <IN>) ) {
	$linecounter++;
	next if $line =~ /^#/;
	next if $line =~ /^\s+/;
	next if $line =~ /^\[[A-Z]*/;
	#print $line;
	if( $line !~ /^[a-zA-Z0-9_-]+\s*=/ ) {
		print "SYNTAX ERROR IN LINE $linecounter:\n";
		print $line;
	}
}

close(IN);
