#!/usr/bin/perl -w
#
# Copyright (c) 2000 SuSE GmbH Nuernberg, Germany.  All rights reserved.
#
# $Id: apache_conf.pl,v 1.2 2003/10/29 10:35:38 varkoly Exp $
#

$| = 1; # do not buffer stdout

use strict;
use func::apache_conf;

use Display;
use CGI qw(-no_xhtml);
use CGI::Carp qw(fatalsToBrowser);
use subs qw(exit);
# Select the correct exit function
*exit = $ENV{MOD_PERL} ? \&Apache::exit : sub { CORE::exit };

my $cgi=new CGI;
 

my $sessionID = $cgi->param('sessionID');    

my $session = Session->new();
my $confParam = ($session->load($sessionID))->data();
my $message;

if(! defined $confParam) {
    print $cgi->header(-refresh=>"0; URL=".$session->cgi_path."/login.pl");
    print $cgi->start_html(-title=>"");
    print $cgi->end_html;
    exit;
} else {
    $message = ($session->getLanguage($confParam->{LANG},"APACHE"))->data();
}

my $menu = new apache_conf($cgi, $session);


if ($confParam->{uid} ne "cyrus") {
    $menu->display_error($message->{access_denied},
			 $confParam->{cgi_path}."/menu.pl?sessionID=$sessionID");
    exit;
} 

$menu->display();

#my %conf = ();
#my @sslvclnt = ( "none",
#		 "optional",
#		 "require",
#		 "optional_no_ca" );
#
#my $doit    = $q->param('doit');
#my $tab     = $q->param('tab') || 'system';
#my $stab    = $q->param('stab') || 'apache';
#my $noCA = ( -s "/usr/ssl/certs/cert.pem" ? 0 : 1 );

