#!/usr/bin/perl
#
# Copyright (c) 2000-2001 SuSE GmbH Nuernberg, Germany.  All rights reserved.
# Copyright (c) 2002 SuSE Linux AG Nuernberg, Germany.  All rights reserved.
#
#
# $Id: country_codes.pl,v 1.2 2003/10/29 10:35:38 varkoly Exp $
#

$| = 1; # do not buffer stdout
 
use strict;
use CGI qw(-no_xhtml);
use CGI::Carp qw(fatalsToBrowser);
use subs qw(exit);
use vars qw($cgi $title_l @country_a %country_h);
# Select the correct exit function
*exit = $ENV{MOD_PERL} ? \&Apache::exit : sub { CORE::exit };

$title_l="";
@country_a=();
%country_h=();

$cgi=new CGI;
 

my $sessionID = $cgi->param('sessionID');    

my $session = Session->new();
my $confParam = ($session->load($sessionID))->data();
my $message;

if(! defined $confParam) {
    print $cgi->header(-refresh=>"0; URL=".$session->cgi_path."/login.pl");
    print $cgi->start_html(-title=>"");
    print $cgi->end_html;
    exit;
} else {
    $message = ($session->getLanguage($confParam->{LANG},"MAIN"))->data();
}
 
my $JavaScript=<<EOF;
function setFocus() {
    document.FORM.AREA.blur();
}
EOF

my $title_s="ISO 3166";
my $select="";
my $close="";

&get_content();

#print STDERR $imas::confParam{LANG}."\n";

print $cgi->header(-charset=>'utf-8');
print $cgi->start_html (-title  => $title_s,
                        -style  =>{'src'=>'/stylesheetAdmin.css'},
                        -script => $JavaScript,
                        -onLoad => "this.focus()"
			);


print $cgi->start_center;

print "<br>".$cgi->table({-class=>'AdminBorder', -cellpadding=>"2",-cellspacing=>"0", -width=>"500"},
		  $cgi->Tr({},
			   $cgi->td({-class=>'AdminHeader'},
					       $cgi->b("$title_l ($title_s)")
				    )
			   ),
		  $cgi->Tr({},
			   $cgi->td({-align=>"center"},
				    $cgi->start_form(-name=>"FORM"),
				    $cgi->scrolling_list(-name    => "country",
							 -size    => "17",
							 -values  => \@country_a,
							 -labels  => \%country_h)
				    )
			   ),
		  $cgi->Tr({},
			   $cgi->td({-align=>"center"},
				    $cgi->button(-value=>"$message->{choose_country}",
						 -onClick=>"var i=document.FORM.country.selectedIndex; opener.document.form.c.value=document.FORM.country.options[i].value"
						 ),
				    $cgi->button(-value=>"$message->{close}",
						 -onclick=>"window.close()"
						 ),
				    $cgi->end_form
				    )
			  )
		  );

print $cgi->end_center;

print $cgi->end_html;
1;

###############################################################################
##  subroutines
###############################################################################

sub get_content {
    my $flag=0;
    my $line="";

    my $sessionID = $cgi->param('sessionID');    
    
    my $session = Session->new();
    my $confParam = ($session->load($sessionID))->data();
    my $lang=$confParam->{LANG};

    open (FILE,"<".$confParam->{lib_path}."/country_codes.lib") or die "no libary file";
    while ($flag<3 and $line=<FILE>) {
      if ($flag==2 and $line=~/^\s*\[\w+\]\s*$/) {
        $flag=3;
      }
      if ($flag==2) {
        $line=~/^(\w{0,2})\t(.*)/;
        $country_h{$1} = $2;
        push @country_a, $1;
      }
      if ($flag==1) {
        $line=~/([\w\s&;]+)\t\t(\w[\w\s&;]+)\t\t(\w[\w\s&;]+)/;
        $title_l=$1;
        $select=$2;
        $close=$3;
        $flag=2;
      }
      if ($flag==0 and $line=~/^\s*\[$lang\]\s*$/) {
        $flag=1;
      }
    }
    close FILE;
    return 0;
}
