#!/usr/bin/perl
#
# Copyright (c) 2000-2001 SuSE GmbH Nuernberg, Germany.  All rights reserved.
# Copyright (c) 2002 SuSE Linux AG Nuernberg, Germany.  All rights reserved.
#
#
# $Id: hosts_edit.pl,v 1.2 2003/10/29 10:35:38 varkoly Exp $
#

$| = 1; # do not buffer stdout

use strict;
use func::hosts_edit;

use CGI qw(-no_xhtml);
use CGI::Carp qw(fatalsToBrowser);
use Display;
use subs qw(exit);
# Select the correct exit function
*exit = $ENV{MOD_PERL} ? \&Apache::exit : sub { CORE::exit };

my $cgi=new CGI;
 

my $sessionID = $cgi->param('sessionID');    

my $session = Session->new();
my $ret = $session->load($sessionID);
my $confParam = $ret->data();
print STDERR "load returned: ".$ret->code()."\n";
#my $confParam = ($session->load($sessionID))->data();
my $message;

if(! defined $confParam) {
    print $cgi->header(-refresh=>"0; URL=".$session->cgi_path."/login.pl");
    print $cgi->start_html(-title=>"");
    print $cgi->end_html;
    exit;
} else {
    $message = ($session->getLanguage($confParam->{LANG},"HOSTS_EDIT"))->data();
}

my $menu = new hosts_edit($cgi, $session);


if ($confParam->{uid} ne "cyrus") {
    $menu->display_error($message->{access_denied},
			 $confParam->{cgi_path}."/menu.pl?sessionID=$sessionID");
    exit;
} 

$menu->display();
