#!/usr/bin/perl
#
# Copyright (c) 2000-2001 SuSE GmbH Nuernberg, Germany.  All rights reserved.
# Copyright (c) 2002 SuSE Linux AG Nuernberg, Germany.  All rights reserved.
#
#
# $Id: manage_folder_permissions.pl,v 1.2 2003/10/29 10:35:38 varkoly Exp $
#

$| = 1; # do not buffer stdout

use strict;
use func::manage_folder_permissions;

use CGI qw(-no_xhtml);
use CGI::Carp qw(fatalsToBrowser);
use Display;
use subs qw(exit);
# Select the correct exit function
*exit = $ENV{MOD_PERL} ? \&Apache::exit : sub { CORE::exit };

my $cgi = new CGI;
 

my $sessionID = $cgi->param('sessionID');    


my $session = Session->new();
my $confParam = ($session->load($sessionID))->data();
my $message;

if(! defined $confParam) {
    print $cgi->header(-refresh=>"0; URL=".$session->cgi_path."/login.pl");
    print $cgi->start_html(-title=>"");
    print $cgi->end_html;
    exit;
} else {
    $message = ($session->getLanguage($confParam->{LANG},"MANAGE_FOLDER",
				      "MANAGE_FOLDER_PERMISSIONS", "BROWSE_USER"))->data();
}

my $menu = new manage_folder_permissions($cgi, $session);


$menu->display();

