#!/usr/bin/perl
#
# Copyright (c) 2000-2001 SuSE GmbH Nuernberg, Germany.  All rights reserved.
# Copyright (c) 2002 SuSE Linux AG Nuernberg, Germany.  All rights reserved.
#
#
# $Id: menu.pl,v 1.1.1.1 2003/03/25 10:31:47 ray Exp $
#
$| = 1; # do not buffer stdout

use strict;
use Session;
use Display;
use CGI qw(-no_xhtml);
use CGI::Carp qw(fatalsToBrowser);
use subs qw(exit);

# Select the correct exit function
*exit = $ENV{MOD_PERL} ? \&Apache::exit : sub { CORE::exit };

my $cgi       = new CGI;
my $sessionID = $cgi->param("sessionID");

my $session   = Session->new();
my $confParam = ($session->load($sessionID))->data();

 
if(! defined $confParam) {
    my $lang = $cgi->param('lang');
# SCHULSERVER C
#    if( (defined $lang) && ( $lang ne "EN" ) ){
#        $lang = "DE";
#    }
# SCHULSERVER E
    print $cgi->header(-refresh=>"0; URL=".$session->cgi_path()."/login.pl?lang=$lang");
    print $cgi->start_html(-title=>"");
    print $cgi->end_html;
    exit;
}

if ( defined $cgi->param("tab") && $cgi->param("tab") eq "logout" ) {
    my $lang = $cgi->param('lang');
# SCHULSERVER C
#    if( (defined $lang) && ( $lang ne "EN" ) ){
#        $lang = "DE";
#    }
#    $session->comFireLogout() if $confParam->{uid} ne "cyrus";
# SCHULSERVER E

    $session->clear();
    print $cgi->header(-refresh=>"0; URL=".$session->cgi_path()."/login.pl?lang=$lang");
    print $cgi->start_html(-title=>"");
    print $cgi->end_html;
    exit;
}


my $menu = new Display($cgi, $session);
$menu->display();

