#!/usr/bin/perl
#
# Copyright (c) 2002 SuSE Linux AG Nuernberg, Germany.  All rights reserved.
#
#
# $Id: register_pc.pl,v 1.2 2003/10/29 10:35:38 varkoly Exp $
#
$| = 1; # do not buffer stdout
use strict;
use func::register_pc;
use Session;
use Display;
use CGI qw(-no_xhtml);
use CGI::Carp qw(fatalsToBrowser);
use subs qw(exit);
# Select the correct exit function
*exit = $ENV{MOD_PERL} ? \&Apache::exit : sub { CORE::exit };

my $cgi = new CGI;

 
my $sessionID = $cgi->param('sessionID');

my $session   = Session->new();
my $confParam = ($session->load($sessionID))->data();
my $message;

if(! defined $confParam) {
    print $cgi->header(-refresh=>"0; URL=".$session->cgi_path."/login.pl");
    print $cgi->start_html(-title=>"");
    print $cgi->end_html;
    exit;
} else {
    $message = ($session->getLanguage($confParam->{LANG},"CHANGE_LANG"))->data();
}

my $menu = new register_pc($cgi, $session);

$menu->display();
