#!/usr/bin/perl
#
# Copyright (c) 2002 SuSE Linux AG Nuernberg, Germany.  All rights reserved.
#
#
# $Id: toggle_samba.pl,v 1.1.1.1 2003/03/25 10:31:47 ray Exp $
# 

$|=1;

use strict;
use func::toggle_samba;
use CGI qw(-no_xhtml);
use CGI::Carp qw(fatalsToBrowser);
use Display;
use Session;
use subs qw(exit);
# Select the correct exit function
*exit = $ENV{MOD_PERL} ? \&Apache::exit : sub { CORE::exit };

my $cgi = new CGI;

my $sessionID = $cgi->param('sessionID');    


my $session = new Session();
my $confParam = ($session->load($sessionID))->data();
my $message;

if(! defined $confParam) {
    print $cgi->header(-refresh=>"0; URL=".$session->cgi_path."/login.pl");
    print $cgi->start_html(-title=>"");
    print $cgi->end_html;
    exit;
} else {
    $message = ($session->getLanguage($confParam->{LANG},"TOGGLE_SAMBA"))->data();
}

my $menu = new toggle_samba($cgi, $session);


if ($confParam->{uid} ne "cyrus") {
    $menu->display_error($message->{access_denied},
			 $confParam->{cgi_path}."/menu.pl?sessionID=$sessionID");
    exit;
} 

my $user      = $cgi->param('USER');
my $filter    = $cgi->param('filter');
my $tab       = $cgi->param('tab');
my $stab      = $cgi->param('stab');

if(!defined $user || $user eq "" || $user eq "0") {
    $menu->display_error(
			 "$message->{select_user}",
			 "$confParam->{cgi_path}/browse_user.pl?sessionID=$sessionID\&filter=$filter\&tab=$tab\&stab=$stab"
			 ,3);
    exit;
}

$menu->display();
