use Net::LDAP;
use Digest::MD5;
use MIME::Base64;
use Time::Local;


$ldapbase        = ",dc=fnr-c-r,dc=de";
$days_since_1970 = int(timelocal(localtime()) / 3600 / 24);
$ldap = Net::LDAP->new("ldap",port=>389,version => 3);
$mess = $ldap->bind (
                            dn       => "uid=cyrus".$ldapbase,
                            password => "12345"
                    );

while($i = shift) {
  print "$i\n";
  open IN, "<$i";
  while(<IN>) {
    if(/GEBURTSTAG/) { next; }
    @LINE = split /:/;
    if(scalar(@LINE) eq 1)  { next; }
    print "$LINE[4]:$LINE[5]\n";

    # Create new password
    $salt =  pack("C5",(int(rand 26)+65),(int(rand 26)+65));
    $ctx = new Digest::MD5();
    $ctx->add($LINE[5]);
    $ctx->add($salt);
    $crypt_passwd = "{smd5}".encode_base64($ctx->digest.$salt, "");

    # Creat modify entry:
    @mod_op = ();
    push @mod_op, "replace", [ "userpassword", "$crypt_passwd" ];
    push @mod_op, "replace", [ "shadowlastchange", "$days_since_1970" ];

    $ldap->modify ( "uid=$LINE[4]".$ldapbase,
                    changes => \@mod_op);
  }
}

$ldap->unbind;

