#!/usr/bin/perl -w
#
# Copyright (c) 2001 SuSE GmbH Nuernberg, Germany.  All rights reserved.
# Copyright (c) 2002 SuSE Linux AG Nuernberg, Germany.  All rights reserved.
#
# $Id: split_CAs.pl,v 1.2 2003/05/06 11:36:55 varkoly Exp $
#

my $CA_file = "/opt/kde2/share/apps/kssl/caroot/ca-bundle.crt";
my $dest_path = "../ssl/CA";

my @file = ();
my @eqs = ();


open (IN, "$CA_file") or die "can't open file $CA_file: $!";
@file = <IN>;
close IN;

for(my $i = 0; $i<@file; $i++) {
    if($file[$i] =~ /^=+$/ ) {
	print "$i: $file[$i-1]\n";
	push @eqs, $i;
    }
}
for(my $j = 0; $j < @eqs; $j++) {

    my $name = $file[$eqs[$j]-1];
    $name =~ s/\s/_/g;
    $name =~ s/\//-/g;
    $name =~ s/[\(\)]//g;
    open(OUT, ">$dest_path/$name.cacert") or die "can't open file $dest_path/$name.cacert: $!";
    if(defined $eqs[$j+1]) {
	print OUT @file[$eqs[$j]-1..$eqs[$j+1]-2]; 
    } else {
	print OUT @file[$eqs[$j]-1..$#file];
    }
    close OUT;
}


