#!/usr/bin/perl
use Net::LDAP;

use strict;

my $ldap = Net::LDAP->new("ldap", port=>389, version => 3);
my $mess = $ldap->bind();
my $basedn=`gawk '/^base/ {print \$2}' /etc/openldap/ldap.conf`;
chomp $basedn;
print "$basedn\n";
$mess = $ldap->search(
                        base    => $basedn,
                        scope   => 'one',
                        filter  => '(&(gidNumber=100)(objectclass=SuSESchoolAccount))',
                        attrs   => ['uid']
                     );


foreach my $entry ( $mess->entries ) {
        my $uid = $entry->get_value('uid');
		system("RM=`find /home/classes -name $uid`; test \$RM && rm \$RM;");
	    my $submessage = $ldap->search( base => $basedn,
                           scope => 'one',
                           filter => "(&(objectClass=SuSESchoolClass)(memberuid=$uid))",
                           attrs => ['cn']);
	    foreach my $sub_entry ($submessage->all_entries) {
                  my $cn = $sub_entry->get_value('cn');
			      system("ln -s /home/users/$uid /home/classes/$cn/$uid");
		}
        print "modified : $uid\n";
}

